OS 3.1.3 Contains New Baseband v.05.12.01 - Not Compatible with Blacksn0w!

Discussion in 'Jailbreaks and iOS Hacks' started by thelatinist, Feb 2, 2010.

  1. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #1
    Beware: the new firmware update released today will update your baseband and make your phone once again not unlockable. If you rely on blacksn0w (or ultrasn0w) for an unlock on your 3G/3GS, do not upgrade your phone to 3.1.3 official. Wait for a new version of PwnageTool to be released.

    Please note: if you have already updated your iPhone 3G or iPhone 3GS to version 3.1.3, there is nothing that can currently be done to jailbreak or unlock your iPhone, so please do not ask. It may be weeks or months before your iPhone can be unlocked again. And, yes, it may never be unlockable again. Sorry!
     
  2. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #2
    Not shocking but thanks for the heads up. I was about to update (seeing as I don't need the unlock for now). But I am not in the mood with having to deal with future problems.


    Thanks
     
  3. Mystikal macrumors 68020

    Mystikal

    Joined:
    Oct 4, 2007
    Location:
    Irvine, CA
    #3
    Always assumed with a new update. Im pretty sure its smart for JBers to ignore this and wait for 4.0.
     
  4. svndmvn Guest

    Joined:
    Nov 6, 2007
    Location:
    Italy
    #4
    is there a Blackra1n for 3.1.3. already, is the old one compatible?
    3.1.3 is not compelling enough for now, we'll see with 3.2, but I doubt that
     
  5. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #5
    OH NO ! :eek: Help Me !
    My pet goldfish accidentally updated my 3GS, now I can't unlock.


    Just kidding. Sorry. :rolleyes:

    But I can see the flood of posts.
     
  6. Gix1k macrumors 68030

    Gix1k

    Joined:
    Jun 16, 2008
    #6

    That wasn't very nice..:D
     
  7. Mystikal macrumors 68020

    Mystikal

    Joined:
    Oct 4, 2007
    Location:
    Irvine, CA
    #7
    We both know its going to happen. Ive seen it...
     
  8. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #8
    Well played... well played. +2 Internets for you
     
  9. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #9
    Also on the serious side, it looks like Apple may have quit signing firmware 3.1 and 3.1.2 as MuscleNerd just tweeted the only way to install 3.1.2 now is via Saurik's SHSH files :rolleyes:
     
  10. thelatinist thread starter macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #10
    I thought I'd try to preempt it with this thread. We'll see if it works.

    Doesn't surprise me.
     
  11. iphonegeek786 macrumors 6502

    iphonegeek786

    Joined:
    Nov 18, 2009
    #11
    Is anyone else worried tht the next iPhone os won't even be jailbrakable?
     
  12. abijnk macrumors 68040

    abijnk

    Joined:
    Oct 15, 2007
    Location:
    Los Angeles, CA
    #12
    OT, but can you elaborate on what that means?
     
  13. thelatinist thread starter macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #13
    It means that only people with their ECID SHSH on file through Cydia can restore to the 3.1.2 version of the firmware. All others, should they require a restore, will have to restore to the 3.1.3 firmware and lose the ability to jailbreak (for now) and unlock (perhaps forever).
     
  14. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #14
    This is what it means !
     

    Attached Files:

  15. iphonegeek786 macrumors 6502

    iphonegeek786

    Joined:
    Nov 18, 2009
    #15
    So should everyone download your talking about.
     
  16. thelatinist thread starter macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #16
    I am just glad I have a week 30 3GS with its 3.0, 3.1 and 3.1.2 ECID SHSHs on file.
     
  17. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #17
    Just posted on DevTeam Blog

    Note: This works only for 2G phones ! Not 3G or 3GS

    Update 1: Thanks to daring experimenters in the comments, we can confirm that yesterday’s redsn0w works for today’s 3.1.3 update for iPhone 2G. Just point it at the 3.1.2 iPhone 2G IPSW after doing update or restore to 3.1.3. So far we’ve only confirmed this for iPhone 2G. (Note that if this does work for 3G/3GS too, you can *only* use it if you don’t care about the unlock.)
     
  18. thelatinist thread starter macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #18
    I would not be surprised if it works for the 3G with the old bootrom, since I believe redsn0w only uses the USB hack for new 3Gs and the 3GS. I'm not going to try it on my 3GS, though, that's for sure.
     
  19. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #19
    Yea, I will wait until the tools are well tested.

    There are already "posters" (boy did I wanna type another word) on DevTeam Blog crying for help and trying to downgrade without having SHSH files stored.
     
  20. thelatinist thread starter macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #20
    This is why I no longer frequent the comments of iphone-dev.org. I couldn't stand all of the whining and entitlement.
     
  21. bender o macrumors 6502

    bender o

    Joined:
    Mar 14, 2009
    #21
    I'm not updating even if it becomes jb/unlockable just doesn't seem worth all the trouble, even if I ever have to restore again I think I'll be going back to 3.0 lol.
     
  22. Vandam500 macrumors 68000

    Vandam500

    Joined:
    Sep 29, 2008
    #22
    Good job for posting this thelatinist because I know there are people that know their devices are jailbroken and yet update as soon as it's out.
     
  23. Vandam500 macrumors 68000

    Vandam500

    Joined:
    Sep 29, 2008
    #23
    You should change the title to not compatible with blackra1n instead.
     
  24. thelatinist thread starter macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #24
    Why? It's the blacksn0w unlock that the new baseband won't work with.
     
  25. Vandam500 macrumors 68000

    Vandam500

    Joined:
    Sep 29, 2008
    #25
    If it can't be jailbroken then what's the point of mentioning the unlock? That's how I see it.
     

Share This Page